Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package stdpy.threading2

## Classes
class | _BoundedSemaphore
class | _Condition
class | _DummyThread
class | _Event
class | _MainThread
class | _RLock
class | _Semaphore
class | _Timer
class | _Verbose
class | Thread
## Functions
def | activeCount
def | BoundedSemaphore
def | Condition
def | currentThread
def | enumerate
def | Event
def | RLock
def | Semaphore
def | setprofile
def | settrace
def | Timer
## Variables
list | __all__
dictionary | _active = {}
tuple | _active_limbo_lock = _allocate_lock()
| _allocate_lock = thread.allocate_lock
int | _counter = 0
| _get_ident = thread.get_ident
dictionary | _limbo = {}
| _profile_hook = None
tuple | _shutdown = _MainThread()
| _sleep = pm.Thread.sleep
| _start_new_thread = thread.start_new_thread
| _trace_hook = None
| _VERBOSE = False
| count
| limit
| Lock = _allocate_lock
| mon
| queue
| quota
| rc
| ThreadError = thread.error
| wc

## Detailed Description

    This module reimplements Python's native threading module using Panda
    threading constructs.  It's designed as a drop-in replacement for the
    threading module for code that works with Panda; it is necessary because
    in some compilation models, Panda's threading constructs are
    incompatible with the OS-provided threads used by Python's thread
    module.

    Unlike threading.py, this module is a more explicit implementation of
    Python's threading model, designed to more precisely emulate Python's
    standard threading semantics.  In fact, this is a bald-face copy of
    Python's threading module from Python 2.5, with a few lines at the top
    to import Panda's thread reimplementation instead of the system thread
    module, and so it is therefore layered on top of Panda's thread
    implementation.

## Function Documentation

def stdpy.threading2.activeCount | ( |  | ) |

def stdpy.threading2.BoundedSemaphore | ( |  | args,
|  |  | kwargs
| ) |  |

def stdpy.threading2.Condition | ( |  | args,
|  |  | kwargs
| ) |  |

def stdpy.threading2.currentThread | ( |  | ) |

def stdpy.threading2.enumerate | ( |  | ) |

def stdpy.threading2.Event | ( |  | args,
|  |  | kwargs
| ) |  |

def stdpy.threading2.RLock | ( |  | args,
|  |  | kwargs
| ) |  |

def stdpy.threading2.Semaphore | ( |  | args,
|  |  | kwargs
| ) |  |

def stdpy.threading2.setprofile | ( |  | func | ) |

def stdpy.threading2.settrace | ( |  | func | ) |

def stdpy.threading2.Timer | ( |  | args,
|  |  | kwargs
| ) |  |

## Variable Documentation

list __all__

Initial value:

    00001 ['activeCount', 'Condition', 'currentThread', 'enumerate', 'Event',
    00002            'Lock', 'RLock', 'Semaphore', 'BoundedSemaphore', 'Thread',
    00003            'Timer', 'setprofile', 'settrace', 'local', 'stack_size']

dictionary _active = {}

tuple _active_limbo_lock = _allocate_lock()

_allocate_lock = thread.allocate_lock

int _counter = 0

_get_ident = thread.get_ident

dictionary _limbo = {}

_profile_hook = None

tuple _shutdown = _MainThread()

_sleep = pm.Thread.sleep

_start_new_thread = thread.start_new_thread

_trace_hook = None

_VERBOSE = False

count

limit

Lock = _allocate_lock

mon

queue

quota

rc

ThreadError = thread.error

wc

All Classes Namespaces Functions Variables Enumerations Enumerator Properties